@import "mixins";
@import "variables";


header {
  background-color: $white;
  .header-top {
    display: flex;
    justify-content: space-between;
    background-color: $white;
    align-items: center;
    padding: 1.5rem 0;

    .contacts {
      address{
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 0;

      }
    }
    .address_link {
      display: flex;
      align-items: center;
      color: $main-black;
      font-weight: 700;
      text-decoration: none;
      margin: 0 40px;
      font-family: 'Montserrat', sans-serif;
      @include trans;
      &:hover {
        color: $main-red;
      }
      img {
        margin-right: 0.75rem;
      }
    }
    .header-btn{
      width: 260px;
    }
  }
  .header-nav{
    background-color: $main-black;
    border-top: 12px solid $border-grey;
    .header-nav_wrap {
      padding: 10px 15px;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    .main-menu {
      margin-right: 8.3%;
      width: 100%;
      ul {
        width: 100%;
        list-style-type: none;
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 0;
        padding-left: 0;
        a{
          @include trans;
          text-transform: uppercase;
          color: $white;
          font-weight: 700;
          text-decoration: none;
          &:hover{
            color: $main-red;
          }
        }
      }
    }
    .social-menu {
      display: flex;
      justify-content: flex-end;
      &__item{
        margin-left: 1.5rem;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 4px;
        width: 40px;
        height: 40px;
        background-color: $dark-grey;
        @include trans;
        &:hover{
          background-color: $main-red;
        }
        &:first-child {
          margin-left: 0;
        }
      }
    }
  }
}
